com.thinkaurelius.titan.diskstorage.util

## Class DefaultTransaction

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.util.DefaultTransaction

- All Implemented Interfaces:
    BaseTransaction, BaseTransactionConfigurable

      public class DefaultTransaction
      extends Object
      implements BaseTransactionConfigurable

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTransaction(BaseTransactionConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit()` Commits the transaction and persists all modifications to the backend.
    `BaseTransactionConfig` | `getConfiguration()` Get the configuration for this transaction
    `void` | `rollback()` Aborts (or rolls back) the transaction.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTransaction

          public DefaultTransaction(BaseTransactionConfig config)

  - ### Method Detail

    - #### getConfiguration

          public BaseTransactionConfig getConfiguration()

      Description copied from interface: `BaseTransactionConfigurable`
      Get the configuration for this transaction
      Specified by:
        `getConfiguration` in interface `BaseTransactionConfigurable`
      Returns:

    - #### commit

          public void commit()
                      throws BackendException

      Description copied from interface: `BaseTransaction`
      Commits the transaction and persists all modifications to the backend. Call either this method or `BaseTransaction.rollback()` at most once per instance.
      Specified by:
        `commit` in interface `BaseTransaction`
      Throws:
        `BackendException`

    - #### rollback

          public void rollback()
                        throws BackendException

      Description copied from interface: `BaseTransaction`
      Aborts (or rolls back) the transaction. Call either this method or `BaseTransaction.commit()` at most once per instance.
      Specified by:
        `rollback` in interface `BaseTransaction`
      Throws:
        `BackendException`

Copyright © 2012–2014. All rights reserved.